/**********************************************************************
 *
 *  cvt_defs.h
 *      Terascan Data Format conversion to NetCDF header file
 *
 *      constants and structure templates
 *
 * ADM 08 Sep 92
 **********************************************************************/

#define TRUE         1
#define FALSE        0
#define NULL         0
#define MAXMEM	    (1024*1024*2)

#define UNITS        "units"
#define SCALE_FACTOR "scale_factor"
#define VALID_MIN    "valid_min"  /* minimum valid stored value */
#define VALID_MAX    "valid_max"  /* maximum valid stored value */
#define ADD_OFFSET   "add_offset"
#define FILLVALUE    "FillValue"  /* missing value as stored on disk */

/*
TeraScan standard date units = days since January 1, 1900, inclusive
  (pass_date, orb_elem_date)
sensor_tilt, sensorient, attitude, map_angle have units in radians
*/
#define DATE_UNIT    "days since January 1, 1900, inclusive"
#define DATE_DESC    "dates: pass_date, orb_elem_date"

#define ANGLE_UNIT   "units are in radians"
#define ANGLE_DESC   "sensor_tilt, sensorient, attitude, map_angle"

/*****************     end of file cvt_defs.h      ********************/
